DistanceHandler (Lucene 3.6.2 API)
Keywords: org.apache.lucene.spatial.tier.DistanceHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.spatial.tier
Class DistanceHandler

    java.lang.Object
      org.apache.lucene.spatial.tier.DistanceHandler

Deprecated.

    @Deprecated
    public class DistanceHandler

extends Object

Provide a high level access point to distances Used by DistanceSortSource and DistanceQuery

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Nested Class Summary
`static class` | `DistanceHandler.Precision` Deprecated.

Constructor Summary
`DistanceHandler(Map<Integer,Double> distances, Map<String,Double> distanceLookupCache, DistanceHandler.Precision precise)` Deprecated.

Method Summary
`double` | `getDistance(int docid, double centerLat, double centerLng, double lat, double lng)` Deprecated.
`DistanceHandler.Precision` | `getPrecision()` Deprecated.
`static double` | `getPrecision(double x, DistanceHandler.Precision thisPrecise)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistanceHandler

    public DistanceHandler(Map<Integer,Double> distances,
                           Map<String,Double> distanceLookupCache,
                           DistanceHandler.Precision precise)

  Deprecated.

Method Detail

### getPrecision

    public static double getPrecision(double x,
                                      DistanceHandler.Precision thisPrecise)

  Deprecated.

### getPrecision

    public DistanceHandler.Precision getPrecision()

  Deprecated.

### getDistance

    public double getDistance(int docid,
                              double centerLat,
                              double centerLng,
                              double lat,
                              double lng)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD